from snappy import Manifold

files = [ "otet04_0000.lnk",
          "otet08_0005.lnk",
          "otet10_0003.lnk",
          "otet10_0007.lnk",
          "otet10_0025.lnk",
          "otet12_0001.lnk",
          "otet12_0005.lnk",
          "otet12_0006.lnk",
          "otet12_0010.lnk",
          "otet20_0570.lnk" ]

Ms = [(f.split('.')[0], Manifold(f)) for f in files]

import os
os.chdir('..')
os.chdir('..')
os.chdir('snappy')

import sys
sys.path.append('.')

from tetrahedralCuspedCensus import TetrahedralOrientableCuspedCensus

for name, mfd in Ms:
    print "Testing", name
    M = TetrahedralOrientableCuspedCensus[name]
    if not M.is_isometric_to(mfd):
        raise Exception("Not matching")
